Package org.globus.gsi

# Class TrustedCertificates

java.lang.Object
org.globus.gsi.TrustedCertificates

All Implemented Interfaces:
  `Serializable`

public class TrustedCertificates extends Object implements Serializable
Deprecated.
Class that reads in and maintains trusted certificates and signing policy associated with the CAs.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TrustedCertificates.CertFilter`
Deprecated.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TrustedCertificates.CertFilter`
`certFileFilter`
Deprecated.
`static final String`
`SIGNING_POLICY_FILE_SUFFIX`
Deprecated.
Default signing policy suffix.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TrustedCertificates()`
Deprecated.
``
`TrustedCertificates(X509Certificate[] certs)`
Deprecated.
``
`TrustedCertificates(X509Certificate[] certs, SigningPolicy[] policies)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static FilenameFilter`
`getCertFilter()`
Deprecated.
`X509Certificate`
`getCertificate(String subject)`
Deprecated.
`X509Certificate[]`
`getCertificates()`
Deprecated.
`static CertStore`
`getcrlStore()`
Deprecated.
`static TrustedCertificates`
`getDefault()`
Deprecated.
Obtains the default set of trusted certificates and signing policy
`static TrustedCertificates`
`getDefaultTrustedCertificates()`
Deprecated.
Obtains the default set of trusted certificates and signing policy
`SigningPolicy[]`
`getSigningPolicies()`
Deprecated.
Returns all signing policies
`SigningPolicy`
`getSigningPolicy(String subject)`
Deprecated.
Returns signing policy associated with the given CA subject.
`static ResourceSigningPolicyStore`
`getsigPolStore()`
Deprecated.
`static KeyStore`
`getTrustStore()`
Deprecated.
`boolean`
`isChanged()`
Deprecated.
Indicates if the last reload caused new certificates to be loaded or existing certificates to be reloaded or any certificates removed
`static TrustedCertificates`
`load(String locations)`
Deprecated.
`static X509Certificate[]`
`loadCertificates(String locations)`
Deprecated.
Loads X509 certificates and signing policy files from specified locations.
`void`
`reload(String locations)`
Deprecated.
`static void`
`setDefaultTrustedCertificates(TrustedCertificates trusted)`
Deprecated.
Sets the default set of trusted certificates to use.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### certFileFilter

public static final TrustedCertificates.CertFilter certFileFilter
Deprecated.

### SIGNING_POLICY_FILE_SUFFIX

public static final String SIGNING_POLICY_FILE_SUFFIX
Deprecated.
Default signing policy suffix. The files are expected to be <caHash>.signing_policy in the same directory as the trusted certificates.

See Also:
  - Constant Field Values

## Constructor Details

### TrustedCertificates

protected TrustedCertificates()
Deprecated.

### TrustedCertificates

public TrustedCertificates(X509Certificate[] certs)
Deprecated.

### TrustedCertificates

public TrustedCertificates(X509Certificate[] certs, SigningPolicy[] policies)
Deprecated.

## Method Details

### getCertificates

public X509Certificate[] getCertificates()
Deprecated.

### getCertificate

public X509Certificate getCertificate(String subject)
Deprecated.

### getSigningPolicies

public SigningPolicy[] getSigningPolicies()
Deprecated.
Returns all signing policies

### getSigningPolicy

public SigningPolicy getSigningPolicy(String subject)
Deprecated.
Returns signing policy associated with the given CA subject.

Parameters:
  `subject` - CA's subject DN for which signing policy is required. The DN should be in Globus format (with slashes) and not reversed. See CertificateUtil.toGlobusID();
Returns:
  Signing policy object associated with the CA's DN. Null if no policy was configured. SigningPolicy object might not have any applicable policy if none was configured or none was found in the policy file configured.

### loadCertificates

public static X509Certificate[] loadCertificates(String locations)
Deprecated.
Loads X509 certificates and signing policy files from specified locations. The locations can be either files or directories. The directories will be automatically traversed and all files in the form of hashcode.number and will be loaded automatically as trusted certificates. An attempt will be made to load signing policy for the CA associated with that hashcode from <hashcode>.signing_policy. If policy file is not found, no error will be thrown, only path validation code enforces the signing policy requirement.

Parameters:
  `locations` - a list of certificate files/directories to load the certificates from. The locations are comma separated.
Returns:
  `java.security.cert.X509Certificate` an array of loaded certificates

### load

public static TrustedCertificates load(String locations)
Deprecated.

### getCertFilter

public static FilenameFilter getCertFilter()
Deprecated.

### reload

public void reload(String locations)
Deprecated.

### isChanged

public boolean isChanged()
Deprecated.
Indicates if the last reload caused new certificates to be loaded or existing certificates to be reloaded or any certificates removed

### getDefaultTrustedCertificates

public static TrustedCertificates getDefaultTrustedCertificates()
Deprecated.
Obtains the default set of trusted certificates and signing policy

Returns:
  TrustedCertificates object.

### setDefaultTrustedCertificates

public static void setDefaultTrustedCertificates(TrustedCertificates trusted)
Deprecated.
Sets the default set of trusted certificates to use.

Parameters:
  `trusted` - the new set of trusted certificates to use.

### getDefault

public static TrustedCertificates getDefault()
Deprecated.
Obtains the default set of trusted certificates and signing policy

Returns:
  TrustedCertificates object.

### getTrustStore

public static KeyStore getTrustStore()
Deprecated.

### getcrlStore

public static CertStore getcrlStore()
Deprecated.

### getsigPolStore

public static ResourceSigningPolicyStore getsigPolStore()
Deprecated.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`